require_relative 'hero'
require_relative 'dice'
require_relative 'jewel'


module DiabloGame
  module LevelTurn
    def self.take_turn(hero)
      dice = DiabloGame::Dice.new
      
      case dice.roll
      when 2,4,6
        puts "#{hero.name} rolled an even number (#{dice.number})"
        hero.hit
      when 1,3,5
        puts "#{hero.name} rolled an odd number (#{dice.number})"
        hero.heal
      else
        puts "this should not come up"
      end

      jewel_rand = DiabloGame::PossibleJewels.random
      hero.dig(jewel_rand)

    end
  end

end
