require_relative "hero"

module DiabloGame
  Jewel = Struct.new(:name,:points)
  
  module PossibleJewels
    JEWELS = [
      Jewel.new(:Coal, 5),
      Jewel.new(:Coal, 5),
      Jewel.new(:Coal, 5),
      Jewel.new(:Coal, 5),
      Jewel.new(:Ruby, 50),
      Jewel.new(:Sapphire, 100),
      Jewel.new(:Diamond, 200),      
      Jewel.new(:Emerald, 300),
      Jewel.new(:Unobtanium!, 1000)
    ]
  
    def self.random
      JEWELS.sample
    end
  
  end
  
end

if __FILE__ == $0

jewel_rand = DiabloGame::PossibleJewels.random
puts "Dig for random jewel = #{jewel_rand.name} worth #{jewel_rand.points} total points."


end
